> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ubik-agent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List session MCP servers

> Retrieves a list of MCP servers currently active in the agent session.



## OpenAPI

````yaml /api-reference/openapi.en.json get /agent-sessions/{session_id}/mcp-servers
openapi: 3.1.0
info:
  title: UBIK Public API
  description: Publicly accessible API endpoints for UBIK.
  version: '1.0'
servers:
  - url: https://app.ubik-agent.com/api/v1
    description: Production Server
security: []
paths:
  /agent-sessions/{session_id}/mcp-servers:
    get:
      tags:
        - Public API
        - Public API - Agent Sessions
      summary: List session MCP servers
      description: Retrieves a list of MCP servers currently active in the agent session.
      operationId: list_session_mcp_servers_agent_sessions__session_id__mcp_servers_get
      parameters:
        - name: session_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Session Id
        - name: X-End-User-ID
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-End-User-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PublicMCPServer'
                title: >-
                  Response List Session Mcp Servers Agent Sessions  Session Id 
                  Mcp Servers Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    PublicMCPServer:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: The unique identifier for the MCP server.
        name:
          type: string
          title: Name
          description: The name of the MCP server.
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: A description of the MCP server.
        status:
          type: string
          title: Status
          description: The current status of the MCP server (e.g., active, inactive).
        cached_tools:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Cached Tools
          description: The tools provided by this MCP server.
        cached_resources:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Cached Resources
          description: The resources provided by this MCP server.
      type: object
      required:
        - id
        - name
        - status
      title: PublicMCPServer
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY

````